---
title: MouseWheelEvent
slug: Web/API/MouseWheelEvent
tags:
  - API
  - DOM
  - Deprecated
  - Interface
  - Reference
---
<div>{{APIRef("DOM Events")}}{{ Non-standard_header() }}{{deprecated_header}}</div>

<p>The <strong><code>MouseWheelEvent</code></strong> interface represents events that occur due to the user turning a mouse wheel.</p>

<div class="note">
<p><strong>Do not use this interface for wheel events.</strong></p>

<p>Like {{domxref("MouseScrollEvent")}}, this interface is non-standard and deprecated. It was used in non-Gecko browsers only. Instead use the standard <em>{{domxref("WheelEvent")}}.</em></p>
</div>

<h2 id="Properties">Properties</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td class="header">Attribute</td>
   <td class="header">Type</td>
   <td class="header">Description</td>
  </tr>
  <tr>
   <td><code>wheelDelta</code> {{ReadOnlyInline}}</td>
   <td><code>long</code></td>
   <td>The distance in pixels (defined as so by MSDN, but the actual usage is different, see <code>mousewheel</code>).</td>
  </tr>
  <tr>
   <td><code>wheelDeltaX</code> {{ReadOnlyInline}}</td>
   <td><code>long</code>?</td>
   <td>The value along horizontal axis of <code>wheelDelta</code>.</td>
  </tr>
  <tr>
   <td><code>wheelDeltaY</code> {{ReadOnlyInline}}</td>
   <td><code>long</code>?</td>
   <td>The value along vertical axis of <code>wheelDelta</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseWheelEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>An event type which is used by this event object: <code>mousewheel</code></li>
 <li>A standardized mouse wheel event object: {{ domxref("WheelEvent") }}</li>
 <li>Gecko's legacy mouse wheel event object: {{ domxref("MouseScrollEvent") }}</li>
 <li>The document in MSDN: {{ spec("http://msdn.microsoft.com/en-us/library/ie/ff974345%28v=vs.85%29.aspx","MouseWheelEvent object") }}</li>
</ul>
